<?php

namespace App;

/**
 * Theme Customization - colors
 */

$panels[] = array(
	'id' => 'muy_posts',
	'title' => __('Posts', 'muy-lindo'),
	'priority' => '51',
	'description' => __('Configure posts archive and single page.', 'muy-lindo')
);


$sections[] = array(
	'id' => 'muy_posts_options_teaser',
	'title' => __('Posts Teaser', 'muy-lindo'),
	'priority' => '52',
	'panel' => 'muy_posts',
	'description' => __('Configure posts archive and single page.', 'muy-lindo')
);

$sections[] = array(
	'id' => 'muy_post_teaser_colors',
	'title' => __('Post Teaser Colors', 'muy-lindo'),
	'priority' => '55',
	'panel' => 'muy_posts',
	'description' => __('Configure Post Teaser colors.', 'muy-lindo')
);

$sections[] = array(
	'id' => 'muy_post_style',
	'title' => __('Stile pagina articoli', 'muy-lindo'),
	'priority' => '56', // Sostituisci con la priorità desiderata
	'panel' => 'muy_posts', // Sostituisci con l'id del pannello a cui vuoi collegare questa sezione
	'description' => __('Configura lo stile della pagina Articoli.', 'muy-lindo')
);

$options['muy_posts_width'] = array(
	'id' => 'muy_posts_width',
	'label'   => __('Larghezza pagina', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'select',
	'default' => 'width-standard',
	'choices' => array(
		'width-sm' => __('758px - Piccolo', 'muy-lindo'),
		'width-md' => __('900px - Medio', 'muy-lindo'),
		'width-standard' => __('1024px - Standard', 'muy-lindo'),
		'width-big' => __('1280px - Grande', 'muy-lindo'),
	),
);

$options['muy_posts_body_font_size'] = array(
	'id' => 'muy_posts_body_font_size',
	'label'   => __('Font del body', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'select',
	'default' => 'text-base',
	'choices' => array(
		'text-sm' => __('14px - Piccolo', 'muy-lindo'),
		'text-base' => __('16px - Base', 'muy-lindo'),
		'text-lg' => __('18px - Large', 'muy-lindo'),
		'text-xl' => __('24px - Xlarge', 'muy-lindo'),
	),
);

$options['muy_posts_heading_font_size'] = array(
	'id' => 'muy_posts_heading_font_size',
	'label'   => __('Font del titolo', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'select',
	'default' => 'heading-5xl',
	'choices' => array(
		'heading-base' => __('16px - Base', 'muy-lindo'),
		'heading-lg' => __('18px - lg', 'muy-lindo'),
		'heading-xl' => __('24px - xl', 'muy-lindo'),
		'heading-2xl' => __('32px - 2Xl', 'muy-lindo'),
		'heading-3xl' => __('44px - 3X', 'muy-lindo'),
		'heading-4xl' => __('54px - 4Xl', 'muy-lindo'),
		'heading-5xl' => __('64px - 5xl', 'muy-lindo'),
	),
);


$options['muy_posts_heading'] = array(
	'id' => 'muy_posts_heading',
	'label'   => __('Colore del titolo', 'muy-lindo'),
	'default' => muy_default_color('main'),
	'description'   => __('Colore dell intestazione', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'color',
);


$options['muy_posts_body_color'] = array(
	'id' => 'muy_posts_body_color',
	'label'   => __('Colore del testo', 'muy-lindo'),
	'default' => muy_default_color('main'),
	'description'   => __('Colore del testo', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'color',
);

$options['muy_heading_default_bold'] = array(
	'id' => 'muy_heading_default_bold',
	'label'   => __('Vuoi il titolo bold?', 'muy-lindo'),
	'description'   => __('Imposta il bold per il titolo principale', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'checkbox',
	'default' => true,
);

$options['muy_headings_default_bold'] = array(
	'id' => 'muy_headings_default_bold',
	'label'   => __('Vuoi i titoli interni all articolo in bold?', 'muy-lindo'),
	'description'   => __('Imposta il bold per i titoli interni all articolo', 'muy-lindo'),
	'section' => 'muy_post_style',
	'type'    => 'checkbox',
	'default' => true,
);


$options['muy_posts_teaser_per_row'] = array(
	'id' => 'muy_posts_teaser_per_row',
	'label'   => __('Teaser per row', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'select',
	'default' => '1',
	'choices' => array(
		'1' => __('1 post per row', 'muy-lindo'),
		'2' => __('2 posts per row', 'muy-lindo'),
		'3' => __('3 posts per row', 'muy-lindo'),
		'4' => __('4 posts per row', 'muy-lindo'),
	),
);

$options['muy_posts_teaser_image_height'] = array(
	'id' => 'muy_posts_teaser_image_height',
	'label'   => __('Teaser image height', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'select',
	'default' => 'muy-height-md',
	'choices' => array(
		'muy-height-lg' => __('Tall', 'muy-lindo'),
		'muy-height-md' => __('Medium', 'muy-lindo'),
		'muy-height-sm' => __('Short', 'muy-lindo'),
	),
);

$options['muy_posts_teaser_image_toggle'] = array(
	'id' => 'muy_posts_teaser_image_toggle',
	'label'   => __('Toggle the teaser image', 'muy-lindo'),
	'description'   => __('Show/hide image in post teaser', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'checkbox',
	'default' => true,
);

$options['muy_posts_teaser_image_placeholder'] = array(
	'id' => 'muy_posts_teaser_image_placeholder',
	'label'   => __('Teaser image placeholder', 'muy-lindo'),
	'description'   => __('Choose image placeholder in teaser if post doesn\'t have one', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'media',
);

$options['muy_posts_teaser_excerpt_toggle'] = array(
	'id' => 'muy_posts_teaser_excerpt_toggle',
	'label'   => __('Teaser toggle excerpt ', 'muy-lindo'),
	'description'   => __('Show/hide excerpt in post teaser', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'checkbox',
	'default' => true,
);

$options['muy_posts_teaser_date_toggle'] = array(
	'id' => 'muy_posts_teaser_date_toggle',
	'label'   => __('Toggle the data', 'muy-lindo'),
	'description'   => __('Show/hide date in post teaser', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'checkbox',
	'default' => true,
);

$options['muy_posts_teaser_category_toggle'] = array(
	'id' => 'muy_posts_teaser_category_toggle',
	'label'   => __('Toggle the category', 'muy-lindo'),
	'description'   => __('Show/hide category in post teaser', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'checkbox',
	'default' => true,
);

$options['muy_posts_teaser_showmore'] = array(
	'id' => 'muy_posts_teaser_showmore',
	'label'   => __('Teaser Show More Button', 'muy-lindo'),
	'section' => 'muy_posts_options_teaser',
	'type'    => 'select',
	'default' => 'hidden',
	'choices' => array(
		'hidden' => __('Don\'t show', 'muy-lindo'),
		'underline block' => __('Link', 'muy-lindo'),
		'btn' => __('Button', 'muy-lindo'),
		'btn invert' => __('Inverted button', 'muy-lindo'),
	),
);



$options['muy_posts_teaser_title_color'] = array(
	'id' => 'muy_posts_teaser_title_color',
	'label'   => __('Teaser title color', 'muy-lindo'),
	'default' => muy_default_color('main'),
	'description'   => __('Choose the color of the title', 'muy-lindo'),
	'section' => 'muy_post_teaser_colors',
	'type'    => 'color',
);

$options['muy_posts_teaser_excerpt_color'] = array(
	'id' => 'muy_posts_teaser_excerpt_color',
	'label'   => __('Teaser excerpt color', 'muy-lindo'),
	'default' => muy_default_color('main'),
	'description'   => __('Choose the color of the excerpt', 'muy-lindo'),
	'section' => 'muy_post_teaser_colors',
	'type'    => 'color',
);



$options['muy_posts_teaser_excerpt_color_3'] = array(
	'id' => 'muy_posts_teaser_excerpt_color',
	'label'   => __('Teaser excerpt color', 'muy-lindo'),
	'default' => muy_default_color('main'),
	'description'   => __('Choose the color of the excerpt', 'muy-lindo'),
	'section' => 'muy_page_style',
	'type'    => 'color',
);


?>